Mike Gerwitz

Activist for User Freedom

aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMike Gerwitz <mike@mikegerwitz.com>2014-06-14 00:48:32 -0400
committerMike Gerwitz <mike@mikegerwitz.com>2014-06-17 01:37:31 -0400
commit7e8952a4d34873cc402a0e4a1e108ebe76fc6485 (patch)
tree008e589085ecd497e4affaf143fb38f47d3ddae5
parent3ddf7f00e83f5109573f2307100f125a753c5f55 (diff)
downloadpkgsh-7e8952a4d34873cc402a0e4a1e108ebe76fc6485.tar.gz
pkgsh-7e8952a4d34873cc402a0e4a1e108ebe76fc6485.tar.bz2
pkgsh-7e8952a4d34873cc402a0e4a1e108ebe76fc6485.zip
run-test now outputs source filename and line on failure
-rwxr-xr-xtest/run-test4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/run-test b/test/run-test
index 1528f56..9a8b7c0 100755
--- a/test/run-test
+++ b/test/run-test
@@ -39,9 +39,9 @@ assert()
{
test "$@" || {
local -i code=$?
- echo "assertion failed: $@" >&2
+ echo "assertion failed: \`$@\` in ${BASH_SOURCE[1]}:${BASH_LINENO[0]}"
return $code
- }
+ } >&2
}